## org.eclipse.datatools.modelbase.sql.tables
Class ActionTimeType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.tables.ActionTimeType

public final class ActionTimeType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Action Time Type', and utility methods for working with them. The literals of this enumeration are used to indicate whether the actionStatement of Trigger are executed before or after rows are inserted into a table, rows are deleted from a table, or one or more columns are updated in rows of a table.

See Also:
  `SQLTablesPackage.getActionTimeType()`, Serialized Form

Field Summary
`static int` `AFTER` The 'AFTER' literal value.
`static ActionTimeType` `AFTER_LITERAL` The 'AFTER' literal object.
`static int` `BEFORE` The 'BEFORE' literal value.
`static ActionTimeType` `BEFORE_LITERAL` The 'BEFORE' literal object.
`static int` `INSTEADOF` The 'INSTEADOF' literal value.
`static ActionTimeType` `INSTEADOF_LITERAL` The 'INSTEADOF' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Action Time Type' enumerators.

Method Summary
`static ActionTimeType` `get(int value)` Returns the 'Action Time Type' literal with the specified value.
`static ActionTimeType` `get(java.lang.String name)` Returns the 'Action Time Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AFTER

    public static final int AFTER

  The 'AFTER' literal value.

  See Also:
    `AFTER_LITERAL`, Constant Field Values

### BEFORE

    public static final int BEFORE

  The 'BEFORE' literal value.

  See Also:
    `BEFORE_LITERAL`, Constant Field Values

### INSTEADOF

    public static final int INSTEADOF

  The 'INSTEADOF' literal value.

  See Also:
    `INSTEADOF_LITERAL`, Constant Field Values

### AFTER_LITERAL

    public static final ActionTimeType AFTER_LITERAL

  The 'AFTER' literal object.

  If the meaning of 'AFTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AFTER`

### BEFORE_LITERAL

    public static final ActionTimeType BEFORE_LITERAL

  The 'BEFORE' literal object.

  If the meaning of 'BEFORE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BEFORE`

### INSTEADOF_LITERAL

    public static final ActionTimeType INSTEADOF_LITERAL

  The 'INSTEADOF' literal object.

  If the meaning of 'INSTEADOF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INSTEADOF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Action Time Type' enumerators.

Method Detail

### get

    public static ActionTimeType get(java.lang.String name)

  Returns the 'Action Time Type' literal with the specified name.

### get

    public static ActionTimeType get(int value)

  Returns the 'Action Time Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.